@import '../base/variables';
@import 'mixins';

%label {
  font-family: map-get($font-families, primary);
  font-size: 1rem;
  font-weight: map-get($typography-weights, regular);
  text-align: left;
  color: #263940;
  line-height: 1rem;
  margin-bottom: 6px;
}

%secondary-label {
  font: Italic 16px/19px map-get($font-families, primary);
  color: map-get($grays, gray100);
}

/*
* Primary CTA Styles
*/
%primary-cta {
  font-family: map-get($font-families, primary);
  font-size: 18px;
  font-weight: map-get($typography-weights, regular);
  width: 100%;
  padding: 16px;
  cursor: pointer;
  text-align: center;
  color: #ffffff;
  border: none;
  border-radius: 4px;
  transition: all 0.3s ease 0s;
  background: map-get($cta-colors, primary);
}

%read-more {
  font-family: map-get($font-families, primary);
  font-size: 14px;
  font-weight: map-get($typography-weights, regular);
  text-align: left;
  color: map-get($theme, primary);
}

%helper-text {
  font-family: map-get($font-families, primary);
  font-size: 14px;
  font-weight: normal;
  display: block;
  text-align: left;
  color: map-get($typography-colors, ternary);
}

/**
 * Textarea component styles
 */
%textarea-success {
  &.success {
    .textarea-wrapper {
      position: relative;

      &:after {
        position: absolute;
        top: 9px;
        right: 10px;
        content: '\e906';
        font-family: relatient, sans-serif;
        color: #208837;
        font-size: 12px;
      }

      .textarea {
        border: 1px solid #208837;

        &:focus {
          border-color: #208837 !important;
          box-shadow: 0 0 0 0.2rem #2088374d;
        }
      }
    }
  }
}

%textarea-error {
  &.error {
    .textarea-wrapper {
      position: relative;

      &:after {
        position: absolute;
        top: 9px;
        right: 10px;
        content: '\e907';
        font-family: relatient, sans-serif;
        color: #d42f30;
        font-size: 12px;
      }

      .textarea {
        border: 1px solid #d42f30;

        &:focus {
          border-color: #d42f30 !important;
          box-shadow: 0 0 0 0.2rem #d42f304d;
        }
      }
    }
  }
}

%textarea-component {
  @extend %textarea-success;
  @extend %textarea-error;

  .required-asterisk {
    font: 400 20px/22px Lato;
    margin-right: 6px;
    color: #d42f30;
  }
  .label {
    @extend %label;
  }
  .message-label-span {
    display: flex;

    .character-count-span {
      display: flex;
      align-items: center;
      margin-left: auto;
      font-weight: 400;
      color: #59686d;

      .text:first-child {
        margin-right: 8px;
        font: 400 16px/19px Lato;
        color: #405157;
      }
    }
  }
  .textarea-wrapper {
    .textarea {
      display: block;
      width: 100%;
      height: 120px;
      margin-top: 6px;
      padding: 6px 24px 6px 12px;
      border: 1px solid #adafb0;
      border-radius: 4px;
      color: #00171f;

      &:focus {
        border: 1px solid #0075a3 !important;
        outline: none;
        box-shadow: 0 0 0 0.2rem #b2e0f3;
      }

      &::placeholder {
        font: 400 16px/24px Lato;
        color: #76797B;
      }
    }
  }
}

/**
 * Information text
 */
%information {
  padding: 30px 100px 16px 16px;
  p {
    line-height: 20px;
  }
  @include break-large-to-small(mobile) {
    padding: 30px 16px;
  }
  ul {
    padding-left: 40px;
  }

  li {
    margin-bottom: 6px;
  }
}

